Trip

Trip Hotel Data Scraper

Extract hotel, flight, and travel details using the Trip Hotel Data Scraper API endpoint.

This endpoint allows you to scrape hotel availability, pricing, and room details from Trip.com.

Note

Use the Sync Scraper API Server (https://sync.scraper.mrscraper.com) host when calling this endpoint.

POST
/api/trip/hotel/sync
AuthorizationBearer <token>

In: header

Request Body

application/json

hotelId*string

Trip.com hotel ID

checkIn*string

Check-in date in YYYY-MM-DD format

checkOut*string

Check-out date in YYYY-MM-DD format

rooms*integer

Number of rooms requested

adults*integer

Number of adults

children*integer

Number of children

currency*string

Currency code

locale*string

Locale code

login*integer

Login status flag (1 = logged in, 0 = guest)

Response Body

application/json

curl -X POST "https://api.app.mrscraper.com/api/trip/hotel/sync" \  -H "Content-Type: application/json" \  -d '{    "hotelId": "23510963",    "checkIn": "2025-12-15",    "checkOut": "2025-12-16",    "rooms": 1,    "adults": 2,    "children": 0,    "currency": "IDR",    "locale": "en-ID",    "login": 1  }'
{
  "success": true,
  "message": "Succesfully scraped",
  "data": {
    "trip_hotel_id": 23510963,
    "checkin_date": "2025-12-15",
    "checkout_date": "2025-12-16",
    "number_of_rooms": 1,
    "number_of_guests": 2,
    "number_of_children": 0,
    "currency": "IDR",
    "locale": "en-ID",
    "login_status": "login",
    "country_code": "ID",
    "hotel_information": {
      "hotel_name": "Ibis Styles Wien Messe Prater",
      "hotel_address": "Franzensbrückenstraße 26, Leopoldstadt, Vienna, 1020, Austria",
      "star_rating": 3,
      "guest_rating": 8.4,
      "review_count": 105,
      "hotel_images_url": "https://ak-d.tripcdn.com/images/0220y12000la3bv10CB61_R_960_660_R5_D.jpg",
      "checkin_date": "2025-12-15",
      "checkout_date": "2025-12-16",
      "length_of_stay": 1,
      "num_of_adults": 2,
      "num_of_children": 0,
      "room_inventory": [
        {
          "room_type_name": "Standard Room with Double Bed",
          "maximum_occupancy": 2,
          "inclusion_of_breakfast": false,
          "refundable_status": false,
          "pricing_details": {
            "base_fare": 1898518,
            "original_fare": 1978871,
            "tax": null,
            "fees": null,
            "discounts_coupons": {
              "coupon_amount": 80353,
              "coupon_information": "Total (incl. taxes & fees): Rp 2,140,238"
            },
            "final_price": 1898518,
            "final_price_after_cashback": 2140238
          },
          "cancellation_policy_details": {
            "type": 5,
            "title": "Non refundable",
            "hover": "This booking cannot be modified, and no refund will be given if you cancel it. If you fail to check in, a penalty equivalent to the cancellation fee will be charged.",
            "thirtyFreeCancel": null,
            "ladderDetailInfo": [],
            "simpleDesc": "Non refundable"
          },
          "room_image_url": [
            "https://ak-d.tripcdn.com/images/0583912000hqiksv16568.jpg",
            "https://ak-d.tripcdn.com/images/0221c12000q1a2k5323AE.jpg",
            "https://ak-d.tripcdn.com/images/0225e12000odhqe386472.jpg",
            "https://ak-d.tripcdn.com/images/0221912000l0102ul68B3.jpg",
            "https://ak-d.tripcdn.com/images/0221u12000anvtlfx3678.jpg",
            "https://ak-d.tripcdn.com/images/0222612000higjckxCD39.jpg",
            "https://ak-d.tripcdn.com/images/0224x12000c3omd2l00E6.jpg",
            "https://ak-d.tripcdn.com/images/0227412000kvx77gf1C74.jpg",
            "https://ak-d.tripcdn.com/images/0225412000ctg7kff311E.jpg",
            "https://ak-d.tripcdn.com/images/0223k12000ctg7pc3E097.jpg",
            "https://ak-d.tripcdn.com/images/0223d12000ctg7w4n0875.jpg",
            "https://ak-d.tripcdn.com/images/0224h12000ch0bd8aC36D.jpg"
          ],
          "room_size": "17㎡",
          "bed_type": "- 1 <g id=\"2\">double</g> bed ",
          "rate_channel_id": 474282392,
          "rate_channel_discount": "FT2IHV-1-Z-1",
          "supplier_id": 23758450
        },
        {
          "room_type_name": "Standard Room with Double Bed",
          "maximum_occupancy": 2,
          "inclusion_of_breakfast": false,
          "refundable_status": true,
          "pricing_details": {
            "base_fare": 1984799,
            "original_fare": null,
            "tax": null,
            "fees": null,
            "discounts_coupons": {
              "coupon_amount": null,
              "coupon_information": "Total (incl. taxes & fees): Rp 2,237,325"
            },
            "final_price": 1984799,
            "final_price_after_cashback": 2237325
          },
          "cancellation_policy_details": {
            "type": 2,
            "title": "Free cancellation before 23:59, Dec 14, 2025 (hotel's local time)",
            "hover": "If you cancel before 23:59, Dec 14, 2025, you will get a full refund. If you cancel after 23:59, Dec 14, 2025, you will not receive a refund. If you fail to check in, a penalty equivalent to the cancellation fee will be charged.",
            "thirtyFreeCancel": null,
            "ladderDetailInfo": [
              {
                "deadline": "/Date(1765753140000+0800)/",
                "displayLocalTime": true,
                "localTimeDesc": "Before 23:59, Dec 14, 2025",
                "policyDecs": "Free cancellation",
                "userTimeDesc": "Before 06:59, Dec 15, 2025",
                "startTime": "/Date(1764663840000+0800)/",
                "ladderType": "Free",
                "currentPolicy": true,
                "policyTitle": "Free cancellation",
                "ratio": 0,
                "customCurrencyPrice": {
                  "currency": "IDR",
                  "amount": 0
                },
                "originCurrencyPrice": {
                  "currency": "USD",
                  "amount": 0
                },
                "hotelTimeZone": "3600",
                "localDeadline": {
                  "dateTime": 20251214235900,
                  "totalOffsetSeconds": 3600
                },
                "localStartTime": {
                  "dateTime": 20251202092400,
                  "totalOffsetSeconds": 3600
                },
                "hotelLocalDeadline": "2025-12-14T23:59:00+01:00",
                "hotelLocalStartTime": "2025-12-02T09:24:00+01:00"
              },
              {
                "displayLocalTime": true,
                "localTimeDesc": "After 23:59, Dec 14, 2025",
                "policyDecs": "Rp 2,237,325",
                "userTimeDesc": "After 06:59, Dec 15, 2025",
                "startTime": "/Date(1765753140000+0800)/",
                "ladderType": "Full",
                "currentPolicy": false,
                "policyTitle": "Non refundable",
                "ratio": 1,
                "customCurrencyPrice": {
                  "currency": "IDR",
                  "amount": 2237325
                },
                "originCurrencyPrice": {
                  "currency": "USD",
                  "amount": 134.58
                },
                "hotelTimeZone": "3600",
                "localStartTime": {
                  "dateTime": 20251214235900,
                  "totalOffsetSeconds": 3600
                },
                "hotelLocalDeadline": "",
                "hotelLocalStartTime": "2025-12-14T23:59:00+01:00"
              }
            ],
            "simpleDesc": "Free cancellation before 23:59, Dec 14, 2025 (hotel's local time)"
          },
          "room_image_url": [
            "https://ak-d.tripcdn.com/images/0583912000hqiksv16568.jpg",
            "https://ak-d.tripcdn.com/images/0221c12000q1a2k5323AE.jpg",
            "https://ak-d.tripcdn.com/images/0225e12000odhqe386472.jpg",
            "https://ak-d.tripcdn.com/images/0221912000l0102ul68B3.jpg",
            "https://ak-d.tripcdn.com/images/0221u12000anvtlfx3678.jpg",
            "https://ak-d.tripcdn.com/images/0222612000higjckxCD39.jpg",
            "https://ak-d.tripcdn.com/images/0224x12000c3omd2l00E6.jpg",
            "https://ak-d.tripcdn.com/images/0227412000kvx77gf1C74.jpg",
            "https://ak-d.tripcdn.com/images/0225412000ctg7kff311E.jpg",
            "https://ak-d.tripcdn.com/images/0223k12000ctg7pc3E097.jpg",
            "https://ak-d.tripcdn.com/images/0223d12000ctg7w4n0875.jpg",
            "https://ak-d.tripcdn.com/images/0224h12000ch0bd8aC36D.jpg"
          ],
          "room_size": "17㎡",
          "bed_type": "- 1 <g id=\"2\">double</g> bed ",
          "rate_channel_id": 474282350,
          "rate_channel_discount": "FT2IZQ-1-Z-1",
          "supplier_id": 23758450
        },
        {
          "room_type_name": "Standard Room with Double Bed",
          "maximum_occupancy": 2,
          "inclusion_of_breakfast": true,
          "refundable_status": true,
          "pricing_details": {
            "base_fare": 2468073,
            "original_fare": null,
            "tax": null,
            "fees": null,
            "discounts_coupons": {
              "coupon_amount": null,
              "coupon_information": "Total (incl. taxes & fees): Rp 2,782,110"
            },
            "final_price": 2468073,
            "final_price_after_cashback": 2782110
          },
          "cancellation_policy_details": {
            "type": 2,
            "title": "Free cancellation before 23:59, Dec 14, 2025 (hotel's local time)",
            "hover": "If you cancel before 23:59, Dec 14, 2025, you will get a full refund. If you cancel after 23:59, Dec 14, 2025, you will not receive a refund. If you fail to check in, a penalty equivalent to the cancellation fee will be charged.",
            "thirtyFreeCancel": null,
            "ladderDetailInfo": [
              {
                "deadline": "/Date(1765753140000+0800)/",
                "displayLocalTime": true,
                "localTimeDesc": "Before 23:59, Dec 14, 2025",
                "policyDecs": "Free cancellation",
                "userTimeDesc": "Before 06:59, Dec 15, 2025",
                "startTime": "/Date(1764663840000+0800)/",
                "ladderType": "Free",
                "currentPolicy": true,
                "policyTitle": "Free cancellation",
                "ratio": 0,
                "customCurrencyPrice": {
                  "currency": "IDR",
                  "amount": 0
                },
                "originCurrencyPrice": {
                  "currency": "USD",
                  "amount": 0
                },
                "hotelTimeZone": "3600",
                "localDeadline": {
                  "dateTime": 20251214235900,
                  "totalOffsetSeconds": 3600
                },
                "localStartTime": {
                  "dateTime": 20251202092400,
                  "totalOffsetSeconds": 3600
                },
                "hotelLocalDeadline": "2025-12-14T23:59:00+01:00",
                "hotelLocalStartTime": "2025-12-02T09:24:00+01:00"
              },
              {
                "displayLocalTime": true,
                "localTimeDesc": "After 23:59, Dec 14, 2025",
                "policyDecs": "Rp 2,782,110",
                "userTimeDesc": "After 06:59, Dec 15, 2025",
                "startTime": "/Date(1765753140000+0800)/",
                "ladderType": "Full",
                "currentPolicy": false,
                "policyTitle": "Non refundable",
                "ratio": 1,
                "customCurrencyPrice": {
                  "currency": "IDR",
                  "amount": 2782110
                },
                "originCurrencyPrice": {
                  "currency": "USD",
                  "amount": 167.35
                },
                "hotelTimeZone": "3600",
                "localStartTime": {
                  "dateTime": 20251214235900,
                  "totalOffsetSeconds": 3600
                },
                "hotelLocalDeadline": "",
                "hotelLocalStartTime": "2025-12-14T23:59:00+01:00"
              }
            ],
            "simpleDesc": "Free cancellation before 23:59, Dec 14, 2025 (hotel's local time)"
          },
          "room_image_url": [
            "https://ak-d.tripcdn.com/images/0583912000hqiksv16568.jpg",
            "https://ak-d.tripcdn.com/images/0221c12000q1a2k5323AE.jpg",
            "https://ak-d.tripcdn.com/images/0225e12000odhqe386472.jpg",
            "https://ak-d.tripcdn.com/images/0221912000l0102ul68B3.jpg",
            "https://ak-d.tripcdn.com/images/0221u12000anvtlfx3678.jpg",
            "https://ak-d.tripcdn.com/images/0222612000higjckxCD39.jpg",
            "https://ak-d.tripcdn.com/images/0224x12000c3omd2l00E6.jpg",
            "https://ak-d.tripcdn.com/images/0227412000kvx77gf1C74.jpg",
            "https://ak-d.tripcdn.com/images/0225412000ctg7kff311E.jpg",
            "https://ak-d.tripcdn.com/images/0223k12000ctg7pc3E097.jpg",
            "https://ak-d.tripcdn.com/images/0223d12000ctg7w4n0875.jpg",
            "https://ak-d.tripcdn.com/images/0224h12000ch0bd8aC36D.jpg"
          ],
          "room_size": "17㎡",
          "bed_type": "- 1 <g id=\"2\">double</g> bed ",
          "rate_channel_id": 474282383,
          "rate_channel_discount": "FT2IHA-1-Z-1",
          "supplier_id": 23758450
        },
        {
          "room_type_name": "Standard Room with Double Bed",
          "maximum_occupancy": 1,
          "inclusion_of_breakfast": false,
          "refundable_status": false,
          "pricing_details": {
            "base_fare": 1725955,
            "original_fare": 1807886,
            "tax": null,
            "fees": null,
            "discounts_coupons": {
              "coupon_amount": 81931,
              "coupon_information": "Total (incl. taxes & fees): Rp 1,945,565"
            },
            "final_price": 1725955,
            "final_price_after_cashback": 1945565
          },
          "cancellation_policy_details": {
            "type": 5,
            "title": "Non refundable",
            "hover": "This booking cannot be modified, and no refund will be given if you cancel it. If you fail to check in, a penalty equivalent to the cancellation fee will be charged.",
            "thirtyFreeCancel": null,
            "ladderDetailInfo": [],
            "simpleDesc": "Non refundable"
          },
          "room_image_url": [
            "https://ak-d.tripcdn.com/images/0583912000hqiksv16568.jpg",
            "https://ak-d.tripcdn.com/images/0221c12000q1a2k5323AE.jpg",
            "https://ak-d.tripcdn.com/images/0225e12000odhqe386472.jpg",
            "https://ak-d.tripcdn.com/images/0221912000l0102ul68B3.jpg",
            "https://ak-d.tripcdn.com/images/0221u12000anvtlfx3678.jpg",
            "https://ak-d.tripcdn.com/images/0222612000higjckxCD39.jpg",
            "https://ak-d.tripcdn.com/images/0224x12000c3omd2l00E6.jpg",
            "https://ak-d.tripcdn.com/images/0227412000kvx77gf1C74.jpg",
            "https://ak-d.tripcdn.com/images/0225412000ctg7kff311E.jpg",
            "https://ak-d.tripcdn.com/images/0223k12000ctg7pc3E097.jpg",
            "https://ak-d.tripcdn.com/images/0223d12000ctg7w4n0875.jpg",
            "https://ak-d.tripcdn.com/images/0224h12000ch0bd8aC36D.jpg"
          ],
          "room_size": "17㎡",
          "bed_type": "- 1 <g id=\"2\">double</g> bed ",
          "rate_channel_id": 474282392,
          "rate_channel_discount": "FT2IHV-B-9-B",
          "supplier_id": 23758450
        },
        {
          "room_type_name": "Standard Room with Double Bed",
          "maximum_occupancy": 1,
          "inclusion_of_breakfast": false,
          "refundable_status": true,
          "pricing_details": {
            "base_fare": 1812237,
            "original_fare": 1990010,
            "tax": null,
            "fees": null,
            "discounts_coupons": {
              "coupon_amount": 177773,
              "coupon_information": "Total (incl. taxes & fees): Rp 2,042,819"
            },
            "final_price": 1812237,
            "final_price_after_cashback": 2042819
          },
          "cancellation_policy_details": {
            "type": 2,
            "title": "Free cancellation before 23:59, Dec 14, 2025 (hotel's local time)",
            "hover": "If you cancel before 23:59, Dec 14, 2025, you will get a full refund. If you cancel after 23:59, Dec 14, 2025, you will not receive a refund. If you fail to check in, a penalty equivalent to the cancellation fee will be charged.",
            "thirtyFreeCancel": null,
            "ladderDetailInfo": [
              {
                "deadline": "/Date(1765753140000+0800)/",
                "displayLocalTime": true,
                "localTimeDesc": "Before 23:59, Dec 14, 2025",
                "policyDecs": "Free cancellation",
                "userTimeDesc": "Before 06:59, Dec 15, 2025",
                "startTime": "/Date(1764663840000+0800)/",
                "ladderType": "Free",
                "currentPolicy": true,
                "policyTitle": "Free cancellation",
                "ratio": 0,
                "customCurrencyPrice": {
                  "currency": "IDR",
                  "amount": 0
                },
                "originCurrencyPrice": {
                  "currency": "USD",
                  "amount": 0
                },
                "hotelTimeZone": "3600",
                "localDeadline": {
                  "dateTime": 20251214235900,
                  "totalOffsetSeconds": 3600
                },
                "localStartTime": {
                  "dateTime": 20251202092400,
                  "totalOffsetSeconds": 3600
                },
                "hotelLocalDeadline": "2025-12-14T23:59:00+01:00",
                "hotelLocalStartTime": "2025-12-02T09:24:00+01:00"
              },
              {
                "displayLocalTime": true,
                "localTimeDesc": "After 23:59, Dec 14, 2025",
                "policyDecs": "Rp 2,042,819",
                "userTimeDesc": "After 06:59, Dec 15, 2025",
                "startTime": "/Date(1765753140000+0800)/",
                "ladderType": "Full",
                "currentPolicy": false,
                "policyTitle": "Non refundable",
                "ratio": 1,
                "customCurrencyPrice": {
                  "currency": "IDR",
                  "amount": 2042819
                },
                "originCurrencyPrice": {
                  "currency": "USD",
                  "amount": 122.88
                },
                "hotelTimeZone": "3600",
                "localStartTime": {
                  "dateTime": 20251214235900,
                  "totalOffsetSeconds": 3600
                },
                "hotelLocalDeadline": "",
                "hotelLocalStartTime": "2025-12-14T23:59:00+01:00"
              }
            ],
            "simpleDesc": "Free cancellation before 23:59, Dec 14, 2025 (hotel's local time)"
          },
          "room_image_url": [
            "https://ak-d.tripcdn.com/images/0583912000hqiksv16568.jpg",
            "https://ak-d.tripcdn.com/images/0221c12000q1a2k5323AE.jpg",
            "https://ak-d.tripcdn.com/images/0225e12000odhqe386472.jpg",
            "https://ak-d.tripcdn.com/images/0221912000l0102ul68B3.jpg",
            "https://ak-d.tripcdn.com/images/0221u12000anvtlfx3678.jpg",
            "https://ak-d.tripcdn.com/images/0222612000higjckxCD39.jpg",
            "https://ak-d.tripcdn.com/images/0224x12000c3omd2l00E6.jpg",
            "https://ak-d.tripcdn.com/images/0227412000kvx77gf1C74.jpg",
            "https://ak-d.tripcdn.com/images/0225412000ctg7kff311E.jpg",
            "https://ak-d.tripcdn.com/images/0223k12000ctg7pc3E097.jpg",
            "https://ak-d.tripcdn.com/images/0223d12000ctg7w4n0875.jpg",
            "https://ak-d.tripcdn.com/images/0224h12000ch0bd8aC36D.jpg"
          ],
          "room_size": "17㎡",
          "bed_type": "- 1 <g id=\"2\">double</g> bed ",
          "rate_channel_id": 474282350,
          "rate_channel_discount": "FT2IZQ-B-9-B",
          "supplier_id": 23758450
        },
        {
          "room_type_name": "Standard Room with Double Bed",
          "maximum_occupancy": 1,
          "inclusion_of_breakfast": false,
          "refundable_status": true,
          "pricing_details": {
            "base_fare": 1843178,
            "original_fare": null,
            "tax": null,
            "fees": null,
            "discounts_coupons": {
              "coupon_amount": null,
              "coupon_information": "Total (incl. taxes & fees): Rp 2,086,478"
            },
            "final_price": 1843178,
            "final_price_after_cashback": 2086478
          },
          "cancellation_policy_details": {
            "type": 3,
            "title": "Free cancellation before 23:59, Dec 14, 2025 (hotel's local time)",
            "hover": "If you cancel before 23:59, Dec 14, 2025, you will get a full refund. If you cancel after 23:59, Dec 14, 2025, you will not receive a refund. If you fail to check in, a penalty equivalent to the cancellation fee will be charged.",
            "thirtyFreeCancel": null,
            "ladderDetailInfo": [
              {
                "deadline": "/Date(1765753200000+0800)/",
                "displayLocalTime": true,
                "localTimeDesc": "Before 23:59, Dec 14, 2025",
                "policyDecs": "Free cancellation",
                "userTimeDesc": "Before 07:00, Dec 15, 2025",
                "startTime": "/Date(1764663840000+0800)/",
                "ladderType": "Free",
                "currentPolicy": true,
                "policyTitle": "Free cancellation",
                "ratio": 0,
                "customCurrencyPrice": {
                  "currency": "IDR",
                  "amount": 0
                },
                "originCurrencyPrice": {
                  "currency": "EUR",
                  "amount": 0
                },
                "hotelTimeZone": "3600",
                "localDeadline": {
                  "dateTime": 20251215000000,
                  "totalOffsetSeconds": 3600
                },
                "localStartTime": {
                  "dateTime": 20251202092400,
                  "totalOffsetSeconds": 3600
                },
                "hotelLocalDeadline": "2025-12-15T00:00:00+01:00",
                "hotelLocalStartTime": "2025-12-02T09:24:00+01:00"
              },
              {
                "displayLocalTime": true,
                "localTimeDesc": "After 23:59, Dec 14, 2025",
                "policyDecs": "€105.00",
                "userTimeDesc": "After 07:00, Dec 15, 2025",
                "startTime": "/Date(1765753200000+0800)/",
                "ladderType": "Full",
                "currentPolicy": false,
                "policyTitle": "Non refundable",
                "ratio": 1,
                "customCurrencyPrice": {
                  "currency": "IDR",
                  "amount": 2027496
                },
                "originCurrencyPrice": {
                  "currency": "EUR",
                  "amount": 105
                },
                "hotelTimeZone": "3600",
                "localStartTime": {
                  "dateTime": 20251215000000,
                  "totalOffsetSeconds": 3600
                },
                "hotelLocalDeadline": "",
                "hotelLocalStartTime": "2025-12-15T00:00:00+01:00"
              }
            ],
            "simpleDesc": "Free cancellation before 23:59, Dec 14, 2025 (hotel's local time)"
          },
          "room_image_url": [
            "https://ak-d.tripcdn.com/images/0583912000hqiksv16568.jpg",
            "https://ak-d.tripcdn.com/images/0221c12000q1a2k5323AE.jpg",
            "https://ak-d.tripcdn.com/images/0225e12000odhqe386472.jpg",
            "https://ak-d.tripcdn.com/images/0221912000l0102ul68B3.jpg",
            "https://ak-d.tripcdn.com/images/0221u12000anvtlfx3678.jpg",
            "https://ak-d.tripcdn.com/images/0222612000higjckxCD39.jpg",
            "https://ak-d.tripcdn.com/images/0224x12000c3omd2l00E6.jpg",
            "https://ak-d.tripcdn.com/images/0227412000kvx77gf1C74.jpg",
            "https://ak-d.tripcdn.com/images/0225412000ctg7kff311E.jpg",
            "https://ak-d.tripcdn.com/images/0223k12000ctg7pc3E097.jpg",
            "https://ak-d.tripcdn.com/images/0223d12000ctg7w4n0875.jpg",
            "https://ak-d.tripcdn.com/images/0224h12000ch0bd8aC36D.jpg"
          ],
          "room_size": "17㎡",
          "bed_type": "- 1 <g id=\"2\">double</g> bed ",
          "rate_channel_id": 1466396038,
          "rate_channel_discount": "NMBX6K-B-9-B",
          "supplier_id": 21337354
        },
        {
          "room_type_name": "Standard Room with Double Bed",
          "maximum_occupancy": 2,
          "inclusion_of_breakfast": false,
          "refundable_status": true,
          "pricing_details": {
            "base_fare": 2018719,
            "original_fare": null,
            "tax": null,
            "fees": null,
            "discounts_coupons": {
              "coupon_amount": null,
              "coupon_information": "Total (incl. taxes & fees): Rp 2,285,190"
            },
            "final_price": 2018719,
            "final_price_after_cashback": 2285190
          },
          "cancellation_policy_details": {
            "type": 3,
            "title": "Free cancellation before 23:59, Dec 14, 2025 (hotel's local time)",
            "hover": "If you cancel before 23:59, Dec 14, 2025, you will get a full refund. If you cancel after 23:59, Dec 14, 2025, you will not receive a refund. If you fail to check in, a penalty equivalent to the cancellation fee will be charged.",
            "thirtyFreeCancel": null,
            "ladderDetailInfo": [
              {
                "deadline": "/Date(1765753200000+0800)/",
                "displayLocalTime": true,
                "localTimeDesc": "Before 23:59, Dec 14, 2025",
                "policyDecs": "Free cancellation",
                "userTimeDesc": "Before 07:00, Dec 15, 2025",
                "startTime": "/Date(1764663840000+0800)/",
                "ladderType": "Free",
                "currentPolicy": true,
                "policyTitle": "Free cancellation",
                "ratio": 0,
                "customCurrencyPrice": {
                  "currency": "IDR",
                  "amount": 0
                },
                "originCurrencyPrice": {
                  "currency": "EUR",
                  "amount": 0
                },
                "hotelTimeZone": "3600",
                "localDeadline": {
                  "dateTime": 20251215000000,
                  "totalOffsetSeconds": 3600
                },
                "localStartTime": {
                  "dateTime": 20251202092400,
                  "totalOffsetSeconds": 3600
                },
                "hotelLocalDeadline": "2025-12-15T00:00:00+01:00",
                "hotelLocalStartTime": "2025-12-02T09:24:00+01:00"
              },
              {
                "displayLocalTime": true,
                "localTimeDesc": "After 23:59, Dec 14, 2025",
                "policyDecs": "€115.00",
                "userTimeDesc": "After 07:00, Dec 15, 2025",
                "startTime": "/Date(1765753200000+0800)/",
                "ladderType": "Full",
                "currentPolicy": false,
                "policyTitle": "Non refundable",
                "ratio": 1,
                "customCurrencyPrice": {
                  "currency": "IDR",
                  "amount": 2220591
                },
                "originCurrencyPrice": {
                  "currency": "EUR",
                  "amount": 115
                },
                "hotelTimeZone": "3600",
                "localStartTime": {
                  "dateTime": 20251215000000,
                  "totalOffsetSeconds": 3600
                },
                "hotelLocalDeadline": "",
                "hotelLocalStartTime": "2025-12-15T00:00:00+01:00"
              }
            ],
            "simpleDesc": "Free cancellation before 23:59, Dec 14, 2025 (hotel's local time)"
          },
          "room_image_url": [
            "https://ak-d.tripcdn.com/images/0583912000hqiksv16568.jpg",
            "https://ak-d.tripcdn.com/images/0221c12000q1a2k5323AE.jpg",
            "https://ak-d.tripcdn.com/images/0225e12000odhqe386472.jpg",
            "https://ak-d.tripcdn.com/images/0221912000l0102ul68B3.jpg",
            "https://ak-d.tripcdn.com/images/0221u12000anvtlfx3678.jpg",
            "https://ak-d.tripcdn.com/images/0222612000higjckxCD39.jpg",
            "https://ak-d.tripcdn.com/images/0224x12000c3omd2l00E6.jpg",
            "https://ak-d.tripcdn.com/images/0227412000kvx77gf1C74.jpg",
            "https://ak-d.tripcdn.com/images/0225412000ctg7kff311E.jpg",
            "https://ak-d.tripcdn.com/images/0223k12000ctg7pc3E097.jpg",
            "https://ak-d.tripcdn.com/images/0223d12000ctg7w4n0875.jpg",
            "https://ak-d.tripcdn.com/images/0224h12000ch0bd8aC36D.jpg"
          ],
          "room_size": "17㎡",
          "bed_type": "- 1 <g id=\"2\">double</g> bed ",
          "rate_channel_id": 1466396038,
          "rate_channel_discount": "NMBX6K-1-Z-1",
          "supplier_id": 21337354
        },
        {
          "room_type_name": "Standard Room with Double Bed",
          "maximum_occupancy": 1,
          "inclusion_of_breakfast": true,
          "refundable_status": true,
          "pricing_details": {
            "base_fare": 2053791,
            "original_fare": null,
            "tax": null,
            "fees": null,
            "discounts_coupons": {
              "coupon_amount": null,
              "coupon_information": "Total (incl. taxes & fees): Rp 2,315,128"
            },
            "final_price": 2053791,
            "final_price_after_cashback": 2315128
          },
          "cancellation_policy_details": {
            "type": 2,
            "title": "Free cancellation before 23:59, Dec 14, 2025 (hotel's local time)",
            "hover": "If you cancel before 23:59, Dec 14, 2025, you will get a full refund. If you cancel after 23:59, Dec 14, 2025, you will not receive a refund. If you fail to check in, a penalty equivalent to the cancellation fee will be charged.",
            "thirtyFreeCancel": null,
            "ladderDetailInfo": [
              {
                "deadline": "/Date(1765753140000+0800)/",
                "displayLocalTime": true,
                "localTimeDesc": "Before 23:59, Dec 14, 2025",
                "policyDecs": "Free cancellation",
                "userTimeDesc": "Before 06:59, Dec 15, 2025",
                "startTime": "/Date(1764663840000+0800)/",
                "ladderType": "Free",
                "currentPolicy": true,
                "policyTitle": "Free cancellation",
                "ratio": 0,
                "customCurrencyPrice": {
                  "currency": "IDR",
                  "amount": 0
                },
                "originCurrencyPrice": {
                  "currency": "USD",
                  "amount": 0
                },
                "hotelTimeZone": "3600",
                "localDeadline": {
                  "dateTime": 20251214235900,
                  "totalOffsetSeconds": 3600
                },
                "localStartTime": {
                  "dateTime": 20251202092400,
                  "totalOffsetSeconds": 3600
                },
                "hotelLocalDeadline": "2025-12-14T23:59:00+01:00",
                "hotelLocalStartTime": "2025-12-02T09:24:00+01:00"
              },
              {
                "displayLocalTime": true,
                "localTimeDesc": "After 23:59, Dec 14, 2025",
                "policyDecs": "Rp 2,315,128",
                "userTimeDesc": "After 06:59, Dec 15, 2025",
                "startTime": "/Date(1765753140000+0800)/",
                "ladderType": "Full",
                "currentPolicy": false,
                "policyTitle": "Non refundable",
                "ratio": 1,
                "customCurrencyPrice": {
                  "currency": "IDR",
                  "amount": 2315128
                },
                "originCurrencyPrice": {
                  "currency": "USD",
                  "amount": 139.26
                },
                "hotelTimeZone": "3600",
                "localStartTime": {
                  "dateTime": 20251214235900,
                  "totalOffsetSeconds": 3600
                },
                "hotelLocalDeadline": "",
                "hotelLocalStartTime": "2025-12-14T23:59:00+01:00"
              }
            ],
            "simpleDesc": "Free cancellation before 23:59, Dec 14, 2025 (hotel's local time)"
          },
          "room_image_url": [
            "https://ak-d.tripcdn.com/images/0583912000hqiksv16568.jpg",
            "https://ak-d.tripcdn.com/images/0221c12000q1a2k5323AE.jpg",
            "https://ak-d.tripcdn.com/images/0225e12000odhqe386472.jpg",
            "https://ak-d.tripcdn.com/images/0221912000l0102ul68B3.jpg",
            "https://ak-d.tripcdn.com/images/0221u12000anvtlfx3678.jpg",
            "https://ak-d.tripcdn.com/images/0222612000higjckxCD39.jpg",
            "https://ak-d.tripcdn.com/images/0224x12000c3omd2l00E6.jpg",
            "https://ak-d.tripcdn.com/images/0227412000kvx77gf1C74.jpg",
            "https://ak-d.tripcdn.com/images/0225412000ctg7kff311E.jpg",
            "https://ak-d.tripcdn.com/images/0223k12000ctg7pc3E097.jpg",
            "https://ak-d.tripcdn.com/images/0223d12000ctg7w4n0875.jpg",
            "https://ak-d.tripcdn.com/images/0224h12000ch0bd8aC36D.jpg"
          ],
          "room_size": "17㎡",
          "bed_type": "- 1 <g id=\"2\">double</g> bed ",
          "rate_channel_id": 474282383,
          "rate_channel_discount": "FT2IHA-B-9-B",
          "supplier_id": 23758450
        },
        {
          "room_type_name": "Family Suite",
          "maximum_occupancy": 1,
          "inclusion_of_breakfast": false,
          "refundable_status": true,
          "pricing_details": {
            "base_fare": 3536862,
            "original_fare": null,
            "tax": null,
            "fees": null,
            "discounts_coupons": {
              "coupon_amount": null,
              "coupon_information": "Total (incl. taxes & fees): Rp 3,991,210"
            },
            "final_price": 3536862,
            "final_price_after_cashback": 3991210
          },
          "cancellation_policy_details": {
            "type": 2,
            "title": "Free cancellation before 23:59, Dec 14, 2025 (hotel's local time)",
            "hover": "If you cancel before 23:59, Dec 14, 2025, you will get a full refund. If you cancel after 23:59, Dec 14, 2025, you will not receive a refund. If you fail to check in, a penalty equivalent to the cancellation fee will be charged.",
            "thirtyFreeCancel": null,
            "ladderDetailInfo": [
              {
                "deadline": "/Date(1765753140000+0800)/",
                "displayLocalTime": true,
                "localTimeDesc": "Before 23:59, Dec 14, 2025",
                "policyDecs": "Free cancellation",
                "userTimeDesc": "Before 06:59, Dec 15, 2025",
                "startTime": "/Date(1764663840000+0800)/",
                "ladderType": "Free",
                "currentPolicy": true,
                "policyTitle": "Free cancellation",
                "ratio": 0,
                "customCurrencyPrice": {
                  "currency": "IDR",
                  "amount": 0
                },
                "originCurrencyPrice": {
                  "currency": "USD",
                  "amount": 0
                },
                "hotelTimeZone": "3600",
                "localDeadline": {
                  "dateTime": 20251214235900,
                  "totalOffsetSeconds": 3600
                },
                "localStartTime": {
                  "dateTime": 20251202092400,
                  "totalOffsetSeconds": 3600
                },
                "hotelLocalDeadline": "2025-12-14T23:59:00+01:00",
                "hotelLocalStartTime": "2025-12-02T09:24:00+01:00"
              },
              {
                "displayLocalTime": true,
                "localTimeDesc": "After 23:59, Dec 14, 2025",
                "policyDecs": "Rp 3,991,210",
                "userTimeDesc": "After 06:59, Dec 15, 2025",
                "startTime": "/Date(1765753140000+0800)/",
                "ladderType": "Full",
                "currentPolicy": false,
                "policyTitle": "Non refundable",
                "ratio": 1,
                "customCurrencyPrice": {
                  "currency": "IDR",
                  "amount": 3991210
                },
                "originCurrencyPrice": {
                  "currency": "USD",
                  "amount": 240.08
                },
                "hotelTimeZone": "3600",
                "localStartTime": {
                  "dateTime": 20251214235900,
                  "totalOffsetSeconds": 3600
                },
                "hotelLocalDeadline": "",
                "hotelLocalStartTime": "2025-12-14T23:59:00+01:00"
              }
            ],
            "simpleDesc": "Free cancellation before 23:59, Dec 14, 2025 (hotel's local time)"
          },
          "room_image_url": [
            "https://ak-d.tripcdn.com/images/0226o12000kvx7ged82DB.jpg",
            "https://ak-d.tripcdn.com/images/0221c12000q19vchw7617.jpg",
            "https://ak-d.tripcdn.com/images/0222d12000q19vsaf69FB.jpg",
            "https://ak-d.tripcdn.com/images/0221o12000kvx7jad56F6.jpg",
            "https://ak-d.tripcdn.com/images/0221j12000oeg604l3859.jpg",
            "https://ak-d.tripcdn.com/images/0226g12000q19uc2t04AE.jpg",
            "https://ak-d.tripcdn.com/images/0227412000kvx77gf1C74.jpg",
            "https://ak-d.tripcdn.com/images/0222912000oeg61nsA4C2.jpg",
            "https://ak-d.tripcdn.com/images/0226012000kvx7ihi3DA7.jpg",
            "https://ak-d.tripcdn.com/images/0220y12000ch04pd46B06.jpg",
            "https://ak-d.tripcdn.com/images/0224h12000ch0bd8aC36D.jpg",
            "https://ak-d.tripcdn.com/images/0225012000q19vmdc5199.jpg"
          ],
          "room_size": "34㎡",
          "bed_type": "NO QUERY SPECIFIED. EXAMPLE REQUEST: GET?Q=HELLO&LANGPAIR=EN|IT",
          "rate_channel_id": 1684903309,
          "rate_channel_discount": "RU59OO-1S-9-B",
          "supplier_id": 23758450
        },
        {
          "room_type_name": "Superior Double Room",
          "maximum_occupancy": 1,
          "inclusion_of_breakfast": false,
          "refundable_status": true,
          "pricing_details": {
            "base_fare": 1691543,
            "original_fare": null,
            "tax": null,
            "fees": null,
            "discounts_coupons": {
              "coupon_amount": null,
              "coupon_information": "Total (incl. taxes & fees): Rp 1,908,991"
            },
            "final_price": 1691543,
            "final_price_after_cashback": 1908991
          },
          "cancellation_policy_details": {
            "type": 2,
            "title": "Free cancellation before 23:59, Dec 14, 2025 (hotel's local time)",
            "hover": "If you cancel before 23:59, Dec 14, 2025, you will get a full refund. If you cancel after 23:59, Dec 14, 2025, you will not receive a refund. If you fail to check in, a penalty equivalent to the cancellation fee will be charged.",
            "thirtyFreeCancel": null,
            "ladderDetailInfo": [
              {
                "deadline": "/Date(1765753140000+0800)/",
                "displayLocalTime": true,
                "localTimeDesc": "Before 23:59, Dec 14, 2025",
                "policyDecs": "Free cancellation",
                "userTimeDesc": "Before 06:59, Dec 15, 2025",
                "startTime": "/Date(1764663840000+0800)/",
                "ladderType": "Free",
                "currentPolicy": true,
                "policyTitle": "Free cancellation",
                "ratio": 0,
                "customCurrencyPrice": {
                  "currency": "IDR",
                  "amount": 0
                },
                "originCurrencyPrice": {
                  "currency": "USD",
                  "amount": 0
                },
                "hotelTimeZone": "3600",
                "localDeadline": {
                  "dateTime": 20251214235900,
                  "totalOffsetSeconds": 3600
                },
                "localStartTime": {
                  "dateTime": 20251202092400,
                  "totalOffsetSeconds": 3600
                },
                "hotelLocalDeadline": "2025-12-14T23:59:00+01:00",
                "hotelLocalStartTime": "2025-12-02T09:24:00+01:00"
              },
              {
                "displayLocalTime": true,
                "localTimeDesc": "After 23:59, Dec 14, 2025",
                "policyDecs": "Rp 1,908,991",
                "userTimeDesc": "After 06:59, Dec 15, 2025",
                "startTime": "/Date(1765753140000+0800)/",
                "ladderType": "Full",
                "currentPolicy": false,
                "policyTitle": "Non refundable",
                "ratio": 1,
                "customCurrencyPrice": {
                  "currency": "IDR",
                  "amount": 1908991
                },
                "originCurrencyPrice": {
                  "currency": "USD",
                  "amount": 114.83
                },
                "hotelTimeZone": "3600",
                "localStartTime": {
                  "dateTime": 20251214235900,
                  "totalOffsetSeconds": 3600
                },
                "hotelLocalDeadline": "",
                "hotelLocalStartTime": "2025-12-14T23:59:00+01:00"
              }
            ],
            "simpleDesc": "Free cancellation before 23:59, Dec 14, 2025 (hotel's local time)"
          },
          "room_image_url": [
            "https://ak-d.tripcdn.com/images/0226e12000q1a4hsa16B3.jpg",
            "https://ak-d.tripcdn.com/images/0225e12000odhqe386472.jpg",
            "https://ak-d.tripcdn.com/images/0225k12000odhtm343429.jpg",
            "https://ak-d.tripcdn.com/images/0221212000pz4wx698942.jpg",
            "https://ak-d.tripcdn.com/images/0221912000l0102ul68B3.jpg",
            "https://ak-d.tripcdn.com/images/0220j12000ctg7vsm446D.jpg",
            "https://ak-d.tripcdn.com/images/0224h12000ch0bd8aC36D.jpg"
          ],
          "room_size": "19㎡",
          "bed_type": "- 1 <g id=\"2\">double</g> bed ",
          "rate_channel_id": 1684905644,
          "rate_channel_discount": "RU52IJ-1S-9-B",
          "supplier_id": 23758450
        }
      ]
    }
  }
}